## pipenv 11.9.0

=== Makefile ===
.PHONY: clean-pyc ext-test test tox-test test-with-mem upload-docs docs audit

all: clean-pyc test

test:
	pip install -r test-requirements.txt
	tox -e py-release

audit:
	python setup.py audit

release:
	python scripts/make-release.py

ext-test:
	python tests/flaskext_test.py --browse

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

upload-docs:
	$(MAKE) -C docs html dirhtml latex epub
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html flask-docs; zip -r flask-docs.zip flask-docs; mv flask-docs html
	rsync -a docs/_build/dirhtml/ flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/
	rsync -a docs/_build/latex/Flask.pdf flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.pdf
	rsync -a docs/_build/flask-docs.zip flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.zip
	rsync -a docs/_build/epub/Flask.epub flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.epub

# ebook-convert docs: http://manual.calibre-ebook.com/cli/ebook-convert.html
ebook:
	@echo 'Using .epub from `make upload-docs` to create .mobi.'
	@echo 'Command `ebook-covert` is provided by calibre package.'
	@echo 'Requires X-forwarding for Qt features used in conversion (ssh -X).'
	@echo 'Do not mind "Invalid value for ..." CSS errors if .mobi renders.'
	ssh -X pocoo.org ebook-convert /var/www/flask.pocoo.org/docs/flask-docs.epub /var/www/flask.pocoo.org/docs/flask-docs.mobi --cover http://flask.pocoo.org/docs/_images/logo-full.png --authors 'Armin Ronacher'

docs:
	$(MAKE) -C docs html

=== requirements.txt ===
alabaster==0.7.10
Babel==2.5.0
certifi==2017.7.27.1
chardet==3.0.4
click==6.7
docutils==0.14
first==2.0.1
idna==2.6
imagesize==0.7.1
Jinja2==2.9.6
MarkupSafe==1.0
pbr==3.1.1
pew==0.1.26
pip-tools==1.9.0
-e .
Pygments==2.2.0
pythonz-bd==1.11.4
pytz==2017.2
requests==2.12.0
resumable-urlretrieve==0.1.5
semver==2.7.8
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.6.3
sphinx-click==1.0.3
sphinxcontrib-websupport==1.0.1
urllib3==1.22
virtualenv==15.1.0
virtualenv-clone==0.2.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-formtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-formtools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-formtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-formtools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
Django

=== odf2mht/Makefile ===
all: odf odf2mht.1 

txt: odf2mht.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.1 *~ *.txt odf
odf:
	ln -s ../odf

test: clean odf
	@echo ================= output by Python2 ====================
	@python2 odf2mht ../tests/examples/imageslabels.odt
	@echo ================= output by Python3 ====================
	@python3 odf2mht ../tests/examples/imageslabels.odt

=== odfoutline/Makefile ===
all: odf odfoutline.1 

txt: odfoutline.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.1 *~ *.txt odf
odf:
	ln -s ../odf

test: clean odf
	@echo ===================== output by Python2 =======================
	@python2 odfoutline ../tests/examples/headerfooter.odt
	@echo ===================== output by Python3 =======================
	@python3 odfoutline ../tests/examples/headerfooter.odt

=== test_artifacts/requirements.txt ===
requests==2.18.4
records==0.5.2

=== tests/requirements.txt ===
coverage==3.7.1
flake8
isort

=== contrib/ODFFile/Makefile ===

odf:
	ln -s ../../odf

clean:
	rm -f odf

=== contrib/odt2zwiki/Makefile ===
all: odf odf2zwikimoin.1 

txt: odf2zwikimoin.txt

%.1: %.docbook 
	xmlto man $<

%.txt: %.docbook 
	xmlto txt $<

clean:
	rm -f *.txt odf

odf:
	ln -s ../../odf

=== doc/build/requirements.txt ===
changelog>=0.3.4
sphinx-paramlinks>=0.2.0

=== docs/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dist-html same as html, but places files in /doc"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dist-html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished.  The HTML pages are in ../."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Alembic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Alembic.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pipenv (11.9.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:24:58 +0100

pipenv (11.9.0-1) unstable; urgency=medium

  * Initial release

 -- Bastian Venthur <venthur@debian.org>  Sat, 24 Mar 2018 14:19:19 +0100

=== debian/control ===
Source: pipenv
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 10),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-pytest,
    python3-mock,
    python3-pytest-xdist,
    python3-certifi,
    python3-virtualenv,
    python3-pip,
    python3-wheel,
    python3-virtualenv-clone
Standards-Version: 4.1.2
Homepage: https://github.com/pypa/pipenv
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/python-team/applications/pipenv
Vcs-Browser: https://salsa.debian.org/python-team/applications/pipenv
#Testsuite: autopkgtest-pkg-python

Package: pipenv
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
#Suggests: python-pipenv-doc
Description: Python's officially recommended packaging tool
 Pipenv is the officially recommended Python packaging tool from Python.org.
 .
 Pipenv is a tool that aims to bring the best of all packaging worlds (bundler,
 composer, npm, cargo, yarn, etc.) to the Python world. It automatically
 creates and manages a virtualenv for your projects, as well as adds/removes
 packages from your Pipfile as you install/uninstall packages. It also
 generates the ever–important Pipfile.lock, which is used to produce
 deterministic builds.

#Package: python-pipenv-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: <insert up to 60 chars description> (common documentation)
# <insert long description, indented with spaces>
# .
# This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pipenv


%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/pipenv --no-compile -O0 --install-layout=deb --prefix=/usr 




# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/pypa/pipenv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pipenv 2022.10.25+ds2

=== debian/changelog ===
pipenv (2022.10.25+ds2-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * New upstream release (Closes: #945139) (LP: #1943582)
    Builds with python3.10 (Closes: #1012124) (LP: #1970106)
    Fixes pipenv check issue (Closes: #941447)
  * Remove patches (no longer needed)
  * d/control: Bump standards version to 4.6.1
               Add Rules-Requires-Root line
               Remove unnecessary comments
               Add myself as an uploader
  * d/copyright: Exclude get-pipenv.py from tarball (Closes: #1019714)
                 Exclude prebuilt windows binaries from tarball
                 Update licensing
                 Update debian copyright year to 2022
  * d/pipenv.docs: Fix README.rst location
  * d/rules: Remove unnecessary comments
             Remove vendor license and readme files during dh_auto_install
  * d/source/lintian-overrides: Override for false positive source-is-missing
  * d/watch: Remove unnecessary comments
             Remove <project> string and debian uupdate
             Add repack opts

  [ Bastian Germann ]
  * d/control: No longer endorse the package as official (Closes: #958292)

  [ Jeroen Ploemen ]
  * Control: bump compat level to 13 (from 10).
  * Rules: set buildsystem to pybuild.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 31 Oct 2022 16:36:38 +0000

pipenv (11.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Apr 2022 23:21:32 -0400

=== debian/control ===
Source: pipenv
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Venthur <venthur@debian.org>,
           Ileana Dumitrescu <ileanadumitrescu95@gmail.com>
Build-Depends: debhelper-compat (= 13),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-pytest,
    python3-mock,
    python3-pytest-xdist,
    python3-certifi,
    python3-virtualenv,
    python3-pip,
    python3-wheel,
    python3-virtualenv-clone
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/pypa/pipenv
Vcs-Git: https://salsa.debian.org/python-team/packages/pipenv.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pipenv

Package: pipenv
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python package manager based on virtualenv and Pipfiles
 A tool that aims to bring the best of all packaging worlds (bundler,
 composer, npm, cargo, yarn, etc.) to the Python world. It automatically
 creates and manages a virtualenv for your projects, as well as adds/removes
 packages from your Pipfile as you install/uninstall packages. It also
 generates the ever–important Pipfile.lock, which is used to produce
 deterministic builds.

## pipenv 2022.12.19+ds

=== Makefile ===
SHELL := bash
get_venv_dir:=$(shell mktemp -d 2>/dev/null || mktemp -d -t 'tmpvenv')
venv_dir := $(get_venv_dir)/pipenv_venv
venv_file := $(CURDIR)/.test_venv
get_venv_path =$(file < $(venv_file))
# This is how we will build tag-specific wheels, e.g. py36 or py37
PY_VERSIONS:= 3.7 3.8 3.9 3.10
BACKSLASH = '\\'
# This is how we will build generic wheels, e.g. py2 or py3
INSTALL_TARGETS := $(addprefix install-py,$(PY_VERSIONS))
CLEAN_TARGETS := $(addprefix clean-py,$(PY_VERSIONS))
DATE_STRING := $(shell date +%Y.%m.%d)
THIS_MONTH_DATE := $(shell date +%Y.%m.01)
NEXT_MONTH_DATE := $(shell date -d "+1 month" +%Y.%m.01)
PATCHED_PIP_VERSION := $(shell awk '/__version__/{gsub(/"/,"",$$3); print $$3}' pipenv/patched/pip/__init__.py)
GITDIR_STAMPFILE := $(CURDIR)/.git-checkout-dir
create_git_tmpdir = $(shell mktemp -dt pipenv-vendor-XXXXXXXX 2>/dev/null || mktemp -d 2>/dev/null)
write_git_tmpdir = $(file > $(GITDIR_STAMPFILE),$(create_git_tmpdir))
get_checkout_dir = $(file < $(GITDIR_STAMPFILE))
get_checkout_subdir = $(addprefix $(get_checkout_dir), $(1))
pip-checkout-dir = $(get_checkout_dir)/patch-pip
PY ?= python

format:
	black pipenv/*.py

.PHONY: install
install:
	pip install -e .

install.stamp: install
	@touch install.stamp

.PHONY: install-py%
install-py%: install.stamp
	@echo building for $(addprefix python, $(subst install-py,,$@))
	PIPENV_PYTHON=$(subst install-py,,$@) pipenv install --dev

install-virtualenvs.stamp: ${INSTALL_TARGETS}
	@touch install-virtualenvs.stamp

.PHONY: ramdisk
ramdisk: SIZE ?= 4g
ramdisk:
	sudo mkdir -p /mnt/ramdisk
	sudo mount -t tmpfs -o size=$(SIZE) tmpfs /mnt/ramdisk
	sudo chown -R ${USER}:${USER} /mnt/ramdisk

.PHONY: ramdisk-virtualenv
ramdisk-virtualenv: ramdisk
	[ ! -e "/mnt/ramdisk/.venv/bin/activate" ] && \
		$(PY) -m venv /mnt/ramdisk/.venv
	echo "/mnt/ramdisk/.venv" > $(venv_file)

.PHONY: virtualenv
virtualenv:
	[ ! -e $(venv_dir) ] && rm -rvf $(venv_file) && python -m venv $(venv_dir)
	@echo $(venv_dir) > $(venv_file)

.PHONY: test-install
test-install:
test-install: $(if $(RAMDISK), ramdisk-virtualenv virtualenv)
	. $(get_venv_path)/bin/activate && \
		python -m pip install --upgrade pip -e .[tests,dev] && \
		pipenv install --dev

.PHONY: submodules
submodules:
	git submodule sync
	git submodule update --init --recursive

# Run the tests within ramdisk by setting RAMDISK=1
# e.g make tests RAMDISK=1
.PHONY: tests
tests: parallel ?= -n auto
tests: suite ?=
tests: submodules test-install
	source $(get_venv_path)/bin/activate && \
		pipenv run pytest -ra $(parallel) -vvv --full-trace --tb=long $(suite)

.PHONY: vendor
vendor: virtualenv
	. $(get_venv_path)/bin/activate && \
		python -m pip install invoke && \
		python -m pip install -e .[dev] && \
		python -m invoke vendoring.update

.PHONY: test-specific
test-specific: submodules virtualenv test-install
	. $(get_venv_path)/bin/activate && pipenv run pytest -ra -k '$(tests)'

.PHONY: retest
retest: parallel ?= -n auto
retest: virtualenv submodules test-install
	. $(get_venv_path)/bin/activate && pipenv run pytest $(parallel) -ra -k 'test_check_unused or test_install_editable_git_tag or test_get_vcs_refs or test_skip_requirements_when_pipfile or test_editable_vcs_install or test_basic_vcs_install or test_git_vcs_install or test_ssh_vcs_install or test_vcs_can_use_markers' -vvv --full-trace --tb=long

.PHONY: build
build: install-virtualenvs.stamp install.stamp
	PIPENV_PYTHON=3.7 pipenv run python setup.py sdist bdist_wheel

.PHONY: update-version
update-version:
	@sed -i "s/^__version__ = .\+$\/__version__ = \"$(DATE_STRING)\"/g" ./pipenv/__version__.py

.PHONY: update-prerelease-version
update-prerelease-version:
	@sed -i "s/^__version__ = .\+$\/__version__ = \"$(THIS_MONTH_DATE).a1\"/g" ./pipenv/__version__.py

.PHONY: pre-bump
pre-bump:
	@sed -i "s/^__version__ = .\+$\/__version__ = \"$(NEXT_MONTH_DATE).dev0\"/g" ./pipenv/__version__.py

.PHONY: lint
lint:
	flake8 .

man:
	$(MAKE) -C docs $@

.PHONY: check
check: build.stamp
	pipenv run twine check dist/* && pipenv run check-manifest .

.PHONY: upload-test
upload-test: build
	twine upload --repository=testpypi dist/*

.PHONY: clean-py%
clean-py%:
	@echo "cleaning environment for $@..."
	PIPENV_PYTHON="$(subst clean-py,,$@)" pipenv --rm

.PHONY: cleanbuild
cleanbuild:
	@echo "cleaning up existing builds..."
	@rm -rf build/ dist/
	@rm -rf build.stamp

.PHONY: clean
clean:
	rm -rf install.stamp build.stamp install-virtualenvs.stamp .git-checkout-dir

.PHONY: gitclean
gitclean:
	@echo "Cleaning up git trees..."
	@rm -rf $(file < .git-checkout-dir)
	@echo "Cleaning up git checkout stamp"
	@rm -rf .git-checkout-dir

.git-checkout-dir:
	@echo "Creating git repo temp file"
	@echo "Creating git checkout stamp file at .git-checkout-dir"
	@echo $(file > $(CURDIR)/.git-checkout-dir,$(shell mktemp -dt pipenv-vendor-XXXXXXXX 2>/dev/null || mktemp -d 2>/dev/null))

.PHONY: clone-pip
clone-pip: .git-checkout-dir
	[ -e $(pip-checkout-dir) ] && echo "Pip already exists, moving on!" || git clone https://github.com/pypa/pip.git $(pip-checkout-dir) -b $(PATCHED_PIP_VERSION)

.PHONY: patch-pip
patch-pip: clone-pip
	@find $(CURDIR)/tasks/vendoring/patches/patched/ -regex ".*/pip[0-9]+.patch" -exec cp {} $(pip-checkout-dir) \;
	@sed -i -r 's:([a-b]\/)pipenv/patched/:\1src/:g' $(pip-checkout-dir)/*.patch
	@find $(CURDIR)/tasks/vendoring/patches/patched/ -regex ".*/_post-pip-[^/\.]*.patch" -exec cp {} $(pip-checkout-dir)/ \;
	@sed -i -r 's:([a-b]\/)pipenv/patched/not:\1src/:g' $(pip-checkout-dir)/_post-*.patch
	@cd $(pip-checkout-dir)/ && git apply --ignore-whitespace --verbose pip*.patch
	@echo "Head to $(pip-checkout-dir) to update the pip patches to the latest version"

.PHONY: patches
patches: patch-pip

.PHONY: reimport-pip-patch
reimport-pip-patch:
	@sed -i -r 's:([a-b]\/)src/:\1pipenv/patched/not:g' $(pip-checkout-dir)/_post-*.patch
	@sed -i -r 's:([a-b]\/)src/:\1pipenv/patched/:g' $(pip-checkout-dir)/pip*.patch
	@find $(pip-checkout-dir) -maxdepth 1 -regex ".*/pip[0-9]+.patch" -exec cp {} $(CURDIR)/tasks/vendoring/patches/patched/ \;
	@find $(pip-checkout-dir) -maxdepth 1 -regex ".*/_post-pip-[^/\.]*.patch" -exec cp {} $(CURDIR)/tasks/vendoring/patches/patched/ \;


.PHONY: pypi-server
pypi-server: SERVER ?= gunicorn
pypi-server:
	pipenv run pypi-server run --server $(SERVER) -v --host=0.0.0.0 --port=8080 --hash-algo=sha256 --disable-fallback ./tests/pypi/ ./tests/fixtures

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -n -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  run       to build the docs, watch for changes, and serve them at http://0.0.0.0:8001"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  spelling  to check for typos in documentation"

clean:
	-rm -rf build/*

html:
	. $(VENV); $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	. $(VENV); $(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	. $(VENV); $(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	. $(VENV); $(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	. $(VENV); $(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	. $(VENV); $(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/FeinCMS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/FeinCMS.qhc"

latex:
	. $(VENV); $(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	. $(VENV); $(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	. $(VENV); $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	. $(VENV); $(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

spelling:
	. $(VENV); $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) build/spelling
	@echo
	@echo "Check finished. Wrong words can be found in " \
		"build/spelling/output.txt."

################################################################################
VENV = env/bin/activate
PORT = 8001
# CORE COMMANDS
install:
	@echo "... setting up virtualenv"
	virtualenv env
	. $(VENV); pip install -r requirements.txt
	. $(VENV); $(SPHINXBUILD) . build/html
	@echo "\n" \
	      "-------------------------------------------------------------------------------------------------- \n" \
		    "* watch, build and serve the documentation: make run \n" \
		    "* check spelling: make spelling \n" \
		    "\n" \
				"enchant must be installed in order for pyenchant (and therefore spelling checks) to work. See \n" \
				"http://docs.django-cms.org/en/latest/contributing/documentation.html#install-the-spelling-software \n" \
	      "-------------------------------------------------------------------------------------------------- \n" \

run:
	. $(VENV); sphinx-autobuild $(ALLSPHINXOPTS) build/html --host 0.0.0.0 --port $(PORT)

=== docs/requirements.txt ===
alabaster==0.7.10
Babel==2.6.0
certifi==2022.12.7
chardet==3.0.4
click==7.0
docutils==0.14
first==2.0.1
idna==2.7
imagesize==1.1.0
Jinja2==2.10
MarkupSafe==1.1.0
pbr==5.1.1
-e .
Pygments==2.11.2
pythonz-bd==1.11.4
pytz==2018.5
requests==2.20.1
resumable-urlretrieve==0.1.5
six==1.11.0
snowballstemmer==1.2.1
Sphinx==4.5.0
sphinx-click==3.1.0
sphinxcontrib-spelling==4.2.1
sphinxcontrib-websupport==1.1.0
urllib3==1.24.1
virtualenv==16.1.0
virtualenv-clone==0.4.0

=== tests/test_artifacts/requirements.txt ===
requests==2.18.4

=== debian/changelog ===
pipenv (2022.12.19+ds-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * New upstream release
  * d/control: Bump standards version to 4.6.2
  * d/copyright: Remove superfluous file patterns
                 Update debian copyright year to 2023

  [ Jeroen Ploemen ]
  * Copyright: add entry for pipenv/vendor/attrs

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Sat, 21 Jan 2023 09:36:44 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
     python3-pip,
     python3-wheel,
     python3-virtualenv-clone
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pypa/pipenv
 Vcs-Git: https://salsa.debian.org/python-team/packages/pipenv.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pipenv
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/pipenv --no-compile -O0 --install-layout=deb --prefix=/usr
	# Remove vendor license and readme files
	find debian/pipenv/usr/lib/python3/dist-packages/pipenv -type f \( -iname "license*" -o -iname "*copying*" -o -iname "vendor.txt" -o -iname "patched.txt" -o -iname "history.rst" -o -name "README.*" \) -exec rm -v {} \;

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pipenv-$1.tar.gz%" \
   https://github.com/pypa/pipenv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pipenv 2023.7.23+ds

=== Makefile ===
--- 
+++ 
@@ -112,7 +112,7 @@
 
 .PHONY: lint
 lint:
-	flake8 .
+	ruff .
 
 man:
 	$(MAKE) -C docs $@

=== docs/requirements.txt ===
alabaster==0.7.13
Babel==2.12.1
certifi==2022.12.7
chardet==3.0.4
click==8.0.3
docutils==0.17.1
idna==3.4
imagesize==1.4.1
Jinja2==3.1.2
MarkupSafe==2.1.2
myst-parser[linkify]==0.18.1
-e .
Pygments==2.14.0
pytz==2022.7.1
requests==2.31.0
snowballstemmer==2.2.0
Sphinx==4.5.0
sphinx-click==4.4.0
sphinxcontrib-spelling==7.7.0
sphinxcontrib-websupport==1.2.4
urllib3==1.26.14
virtualenv==20.20.0
virtualenv-clone==0.5.7

=== debian/changelog ===
pipenv (2023.7.23+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Remove superfluous file patterns
                 Remove files from Files-Excluded (no longer present)
  * d/control: Add pybuild-plugin-pyproject to Build-Depends
               (PEP-517 standard for building python packages)
  * d/pipenv.examples: Add to install upstream examples

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 08 Aug 2023 05:22:45 +0000

pipenv (2023.6.12+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Remove superfluous file patterns
                 Add pydantic and tomli folders to pipenv/vendor
  * d/patches: Add add-name-to-manpage.patch to fix lintian warning
  * d/source/lintian-overrides: Override uses-python-distutils
                                Override for long lines in source files
  * d/pipenv.lintian-overrides: Override application-in-library-section

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Sat, 17 Jun 2023 06:24:54 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     dh-python,
     python3-all,
     python3-setuptools,
+    pybuild-plugin-pyproject,
     python3-pytest,
     python3-mock,
     python3-pytest-xdist,

## pipenv 2023.8.22+ds

=== debian/changelog ===
pipenv (2023.8.22+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Remove superfluous file patterns and add file that was renamed
    and moved (*/vendor/requirementslib/utils.py -> */utils/requirementslib.py).
  * d/pipenv.docs: Deleted, upstream document was removed.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 22 Aug 2023 21:06:27 +0300

## pipenv 2023.8.28+ds

=== debian/changelog ===
pipenv (2023.8.28+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/gbp.conf: Pull pristine-tar branch and commit.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 29 Aug 2023 23:04:08 +0300

## pipenv 2023.9.1+ds

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 alabaster==0.7.13
 Babel==2.12.1
-certifi==2022.12.7
+certifi==2023.7.22
 chardet==3.0.4
 click==8.0.3
 docutils==0.17.1
@@ -10,7 +10,7 @@
 MarkupSafe==2.1.2
 myst-parser[linkify]==0.18.1
 -e .
-Pygments==2.14.0
+Pygments==2.15.0
 pytz==2022.7.1
 requests==2.31.0
 snowballstemmer==2.2.0

=== debian/changelog ===
pipenv (2023.9.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 06 Sep 2023 17:06:37 +0300

## pipenv 2023.12.1%2Bds

=== docker/Makefile ===
ALL_PYVERSIONS = 3.11-alpine 3.10-alpine 3.9-alpine 3.8-alpine 3.11 3.10 3.9 3.8


ifneq (,$(wildcard ./.env))
    include .env
	export
endif


docker-build:
	echo $(PYVERSION) $(PIPENV)
	docker build -t $(REGISTRY)/$(ORG)/$(IMG):$(TAG) --build-arg PYVERSION=$(PYVERSION) --build-arg VERSION=$(PIPENV) -f Dockerfile .


docker-push:
	docker push $(REGISTRY)/$(ORG)/$(IMG):$(TAG)


build-all:
	$(foreach var,$(ALL_PYVERSIONS), make docker-build docker-push TAG=$(var)-$(PIPENV) PYVERSION=$(var) PIPENV=$(PIPENV);)

=== docs/requirements.txt ===
-f http://simple.crate.io/
MarkupSafe==0.23
Pygments==2.0.2
sphinx
# temporarily disabled because of an issue on RTD. see also conf.py
#sphinxcontrib-spelling
pyenchant
sphinx-autobuild
sphinx_rtd_theme

## pipenv 2023.12.1+ds

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 venv_file := $(CURDIR)/.test_venv
 get_venv_path =$(file < $(venv_file))
 # This is how we will build tag-specific wheels, e.g. py36 or py37
-PY_VERSIONS:= 3.7 3.8 3.9 3.10
+PY_VERSIONS:= 3.8 3.9 3.10 3.11
 BACKSLASH = '\\'
 # This is how we will build generic wheels, e.g. py2 or py3
 INSTALL_TARGETS := $(addprefix install-py,$(PY_VERSIONS))
@@ -96,7 +96,7 @@
 
 .PHONY: build
 build: install-virtualenvs.stamp install.stamp
-	PIPENV_PYTHON=3.7 pipenv run python setup.py sdist bdist_wheel
+	PIPENV_PYTHON=3.8 pipenv run python -m build
 
 .PHONY: update-version
 update-version:

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pipenv
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
alabaster==0.7.13
Babel==2.12.1
certifi==2023.7.22
chardet==3.0.4
click==8.0.3
docutils==0.17.1
idna==3.4
imagesize==1.4.1
Jinja2==3.1.3
MarkupSafe==2.1.2
myst-parser[linkify]==0.18.1
-e .
Pygments==2.15.0
pytz==2022.7.1
requests==2.31.0
snowballstemmer==2.2.0
Sphinx==4.5.0
sphinx-click==4.4.0
sphinxcontrib-spelling==7.7.0
sphinxcontrib-websupport==1.2.4
urllib3==1.26.18
virtualenv>=20.20.0
virtualenv-clone==0.5.7

=== debian/changelog ===
pipenv (2023.12.1+ds-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * d/control: Remove extraneous python3-mock build-dep.

  [ Ileana Dumitrescu ]
  * New upstream release.
  * d/patches: Refresh add-name-to-manpage.patch.
  * d/copyright: Remove superfluous file patterns and update copyright year for
    debian files.
  * d/rules: Additional remove for extraneous license files.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 05 Feb 2024 21:29:07 +0200

pipenv (2023.11.15+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Refresh add-name-to-manpage.patch.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 23 Nov 2023 16:52:56 +0200

pipenv (2023.10.24+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches:
    - Refresh add-name-to-manpage.patch.
    - Add patch to fix unknown font 'C' warning from groff.
  * d/copyright: Remove superfluous file patterns and add new copyright.
  * d/rules: Enable upstream build tests.
  * d/source/lintian-overrides: Remove unnecessary override.
  * d/tests: Add autopkgtest to run some upstream tests.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 26 Oct 2023 20:53:11 +0300

pipenv (2023.10.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Refresh add-name-to-manpage.patch.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 03 Oct 2023 21:15:34 +0300

pipenv (2023.9.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches:
    - Refresh add-name-to-manpage.patch.
    - Add fix_privacy_breach.patch.
  * d/rules:
    - Remove setup.py specific commands.
    - Remove documentation in library section.
  * d/docs:
    - Add REAME.md and docs/* to /usr/share/doc/pipenv.
  * d/pipenv.lintian-overrides:
    - Override possible-documentation-but-no-doc-base-registration.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 15 Sep 2023 16:54:18 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
     python3-setuptools,
     pybuild-plugin-pyproject,
     python3-pytest,
-    python3-mock,
     python3-pytest-xdist,
     python3-certifi,
     python3-virtualenv,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pipenv
export DESTDIR=debian/pipenv

export PYBUILD_TEST_ARGS= \
	--ignore=tests/integration \
	--ignore=tests/unit/test_utils.py \
	--ignore=tests/unit/test_vendor.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Remove docs/, installed in /usr/share/doc/pipenv
	rm -R $(DESTDIR)/usr/lib/python*/dist-packages/docs
	# Remove vendor license and readme files
	find debian/pipenv/usr/lib/python*/dist-packages/pipenv* -type f \( -iname "license*" -o -iname "*copying*" -o -iname "vendor.txt" -o -iname "patched.txt" -o -iname "top_level.txt" -o -name "README.*" \) -exec rm -v {} \;
	find debian/pipenv/usr/lib/python*/dist-packages/build/lib/pipenv* -type f \( -iname "license*" \) -exec rm -v {} \;

## pipenv 2024.0.1+ds

=== docs/requirements.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 docutils==0.17.1
 idna==3.4
 imagesize==1.4.1
-Jinja2==3.1.3
+Jinja2==3.1.4
 MarkupSafe==2.1.2
 myst-parser[linkify]==0.18.1
 -e .
 Pygments==2.15.0
 pytz==2022.7.1
-requests==2.31.0
+requests==2.32.0
 snowballstemmer==2.2.0
 Sphinx==4.5.0
 sphinx-click==4.4.0

=== debian/changelog ===
pipenv (2024.0.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Remove examples from dist-packages.

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Apr 2025 16:51:55 +0200

pipenv (2024.0.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Simplify removal of stray files in /usr/lib/python*/dist-packages/build
    produced by some build system versions (closes: #1076903).

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Aug 2024 23:40:05 +0100

pipenv (2024.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Refresh patches.
  * d/rules: Utilize DESTDIR variable more and remove conflicting python file
    that should only be installed in /usr/share/doc/pipenv (Closes: #1072506).
  * d/control: Bump standards version from 4.6.2 to 4.7.0.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 25 Jun 2024 21:19:22 +0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
     python3-pip,
     python3-wheel,
     python3-virtualenv-clone
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pypa/pipenv
 Vcs-Git: https://salsa.debian.org/python-team/packages/pipenv.git

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,6 @@
 	# Remove docs/, installed in /usr/share/doc/pipenv
 	rm -R $(DESTDIR)/usr/lib/python*/dist-packages/docs
 	# Remove vendor license and readme files
-	find debian/pipenv/usr/lib/python*/dist-packages/pipenv* -type f \( -iname "license*" -o -iname "*copying*" -o -iname "vendor.txt" -o -iname "patched.txt" -o -iname "top_level.txt" -o -name "README.*" \) -exec rm -v {} \;
-	find debian/pipenv/usr/lib/python*/dist-packages/build/lib/pipenv* -type f \( -iname "license*" \) -exec rm -v {} \;
+	find $(DESTDIR)/usr/lib/python*/dist-packages/pipenv* -type f \( -iname "license*" -o -iname "*copying*" -o -iname "vendor.txt" -o -iname "patched.txt" -o -iname "top_level.txt" -o -name "README.*" \) -exec rm -v {} \;
+	rm -rf $(DESTDIR)/usr/lib/python*/dist-packages/build
+	rm -rf $(DESTDIR)/usr/lib/python*/dist-packages/examples

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
 python3-all,
 python3-click
Restrictions: needs-internet
